package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class DrpPurGenerateOrderDTO {
   @ApiModelProperty("采购计划单号")
   private String planId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("货品集合")
   private List<DrpPurGenerateOrderMaterialDTO> materialList;

   public String getPlanId() {
      return this.planId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public List<DrpPurGenerateOrderMaterialDTO> getMaterialList() {
      return this.materialList;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setMaterialList(final List<DrpPurGenerateOrderMaterialDTO> materialList) {
      this.materialList = materialList;
   }

}
